Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.extractor.html
Class LicenseExtractorTest

    java.lang.Object
      org.apache.any23.extractor.html.AbstractExtractorTestCase
          org.apache.any23.extractor.html.LicenseExtractorTest

    public class LicenseExtractorTest

extends AbstractExtractorTestCase

Reference Test class for the `LicenseExtractor` extractor.

Field Summary

Fields inherited from class org.apache.any23.extractor.html.AbstractExtractorTestCase
`baseURI`

Constructor Summary
`LicenseExtractorTest()`

Method Summary
`org.apache.any23.extractor.ExtractorFactory<?>` | `getExtractorFactory()`
`void` | `testEmpty()`
`void` | `testMixedCaseTitleTag()`
`void` | `testMultipleEmptyHref()`
`void` | `testMultipleLicenses()`
`void` | `testOnlyApache()`
`void` | `testOnlyCc()`

Methods inherited from class org.apache.any23.extractor.html.AbstractExtractorTestCase
`assertContains, assertContains, assertContains, assertContains, assertContains, assertContains, assertContainsModel, assertContainsModel, assertError, assertExtracts, assertModelEmpty, assertModelNotEmpty, assertNotContains, assertNotContains, assertNotContains, assertNotContains, assertNotFound, assertStatementsSize, assertStatementsSize, assertStatementsSize, dumpAsListOfStatements, dumpHumanReadableTriples, dumpModelToNQuads, dumpModelToRDFXML, dumpModelToTurtle, extract, findExactlyOneBlankSubject, findExactlyOneObject, findObject, findObjectAsLiteral, findObjectAsResource, findObjects, findSubjects, getConnection, getErrors, getReport, getStatements, getStatementsSize, setUp, tearDown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LicenseExtractorTest

    public LicenseExtractorTest()

Method Detail

### getExtractorFactory

    public org.apache.any23.extractor.ExtractorFactory<?> getExtractorFactory()

  Specified by:
    `getExtractorFactory` in class `AbstractExtractorTestCase`
  Returns:
    the factory of the extractor to be tested.

### testOnlyCc

    public void testOnlyCc()
                    throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testOnlyApache

    public void testOnlyApache()
                        throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testMultipleLicenses

    public void testMultipleLicenses()
                              throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testMultipleEmptyHref

    public void testMultipleEmptyHref()
                               throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testEmpty

    public void testEmpty()
                   throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

### testMixedCaseTitleTag

    public void testMixedCaseTitleTag()
                               throws org.openrdf.repository.RepositoryException

  Throws:
    `org.openrdf.repository.RepositoryException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.